def xml_path_check(xml_path_to_check):
    """ Function to check if the given input xml-path an absolute or relative xml-path and correct the given path.

        The input string 'xml_path_to_check' contains the string to check if it is an absolute or relative xml-path.

        The output string 'corrected_path' contains the corrected path.

        :param: xml_path_to_check: input string
        :return: corrected_xml_path: output string
    """

    ''' imports for python '''
    import os

    # replace all '\' character with '/' to operate on Windows and linux OS
    xml_path_to_check = xml_path_to_check.replace(os.sep, '/')

    # check if the string "AcftExchangeFile" in the given xml-path -> if true: -> delete from string
    if "aircraft_exchange_file" in xml_path_to_check:
        length_of_string = len("aircraft_exchange_file")
        index = xml_path_to_check.find('aircraft_exchange_file')
        corrected_xml_path = '.' + xml_path_to_check[index+length_of_string:]

    # check if the string "ConfigFile" in the given xml-path -> if true: -> delete from string
    elif "module_configuration_file" in xml_path_to_check:
        length_of_string = len("module_configuration_file")
        index = xml_path_to_check.find('module_configuration_file')
        corrected_xml_path = '.' + xml_path_to_check[index+length_of_string:]

    else:
        if xml_path_to_check[0] == '/':
            corrected_xml_path = '.' + xml_path_to_check

        elif not xml_path_to_check[0:1] == './':
            if xml_path_to_check[0] == '.':
                corrected_xml_path = './' + xml_path_to_check[1:]
            else:
                corrected_xml_path = './' + xml_path_to_check
        else:
            corrected_xml_path = xml_path_to_check

    return corrected_xml_path
